param($DN)
if(-not($DN)) { Throw "You must supply a DN of the organization" }
$CN = New-Object System.DirectoryServices.DirectoryEntry("LDAP://"+$DN)
$gp = [Reflection.Bindingflags]::GetProperty
 
foreach ($OWKO in $CN.otherWellKnownObjects)
{
    $Type = $OWKO.GetType()
    $DNString = $Type.InvokeMember("DNString", $gp, $null, $OWKO, $null)
    $BV = $Type.InvokeMember("BinaryValue", $gp, $null, $OWKO, $null)
    $Guid = [System.BitConverter]::ToString($BV).Replace("-", "")
    Write-Output $($Guid + ":" + $DNString)
}